Integrations
List Integrations
GET /integration
List of Integrations
Response 200: List of Integrations
| Field | Type | Description |
|---|---|---|
clients |
integer | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
keys |
integer | |
name |
string | |
permissions |
integer | |
servers |
integer |
Create Integration
POST /integration
Add new Integration
Request body
| Field | Type | Required | Description |
|---|---|---|---|
body |
string | ||
name |
string | yes | |
subject |
string |
Response 200: An Integration
| Field | Type | Description |
|---|---|---|
clients |
integer | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
keys |
integer | |
name |
string | |
permissions |
integer | |
servers |
integer |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
body |
string | ||
name |
string | yes | |
subject |
string |
Response 422: Unprocessable Entity
Delete Integration
DELETE /integration/{integration_id}
Delete an Integration
Response 200: Integration deleted successfully
Response 404: Item not Found
View Integration
GET /integration/{integration_id}
An Integration
Response 200: An Integration
| Field | Type | Description |
|---|---|---|
clients |
integer | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
keys |
integer | |
name |
string | |
permissions |
integer | |
servers |
integer |
Edit Integration
PATCH /integration/{integration_id}
Request body
| Field | Type | Required | Description |
|---|---|---|---|
body |
string | ||
name |
string | ||
subject |
string |
Response 200: An Integration
| Field | Type | Description |
|---|---|---|
clients |
integer | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
keys |
integer | |
name |
string | |
permissions |
integer | |
servers |
integer |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
body |
string | ||
name |
string | ||
subject |
string |
Response 422: Unprocessable Entity
List Integration Permissions
GET /integration/{integration_id}/permission
List of Permissions for an Integration
Response 200: List of Permissions for an Integration
| Field | Type | Description |
|---|---|---|
network |
object | |
network.entities |
object | |
network.forward |
object | |
network.groups |
object | |
network.switches |
object | |
pxe |
object | |
pxe.installs |
object | |
pxe.settings |
object | |
server |
object | |
server.in_inventory |
object | |
server.in_use |
object | |
server.settings |
object | |
system |
object | |
system.emails |
object | |
system.integrations |
object | |
system.logs |
object | |
system.settings |
object | |
system.theme |
object | |
users |
object | |
users.admins |
object | |
users.clients |
object |